+ scripts-atomic-check-atomicssh-dont-assume-that-scripts-are-executable.patch added to -mm tree

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



The patch titled
     Subject: scripts/atomic/check-atomics.sh: don't assume that scripts are executable
has been added to the -mm tree.  Its filename is
     scripts-atomic-check-atomicssh-dont-assume-that-scripts-are-executable.patch

This patch should soon appear at
    http://ozlabs.org/~akpm/mmots/broken-out/scripts-atomic-check-atomicssh-dont-assume-that-scripts-are-executable.patch
and later at
    http://ozlabs.org/~akpm/mmotm/broken-out/scripts-atomic-check-atomicssh-dont-assume-that-scripts-are-executable.patch

Before you just go and hit "reply", please:
   a) Consider who else should be cc'ed
   b) Prefer to cc a suitable mailing list as well
   c) Ideally: find the original patch on the mailing list and do a
      reply-to-all to that, adding suitable additional cc's

*** Remember to use Documentation/process/submit-checklist.rst when testing your code ***

The -mm tree is included into linux-next and is updated
there every 3-4 working days

------------------------------------------------------
From: Andrew Morton <akpm@xxxxxxxxxxxxxxxxxxxx>
Subject: scripts/atomic/check-atomics.sh: don't assume that scripts are executable

patch(1) doesn't set the x bit on files.  So if someone downloads and
applies patch-4.21.xz, their kernel won't build.  Fix that by executing
/bin/sh.

Cc: Mark Rutland <mark.rutland@xxxxxxx>
Cc: Peter Zijlstra (Intel) <peterz@xxxxxxxxxxxxx>
Cc: Boqun Feng <boqun.feng@xxxxxxxxx>
Cc: Ingo Molnar <mingo@xxxxxxxxxx>
Cc: Will Deacon <will.deacon@xxxxxxx>
Signed-off-by: Andrew Morton <akpm@xxxxxxxxxxxxxxxxxxxx>
---

 scripts/atomic/check-atomics.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- a/scripts/atomic/check-atomics.sh~scripts-atomic-check-atomicssh-dont-assume-that-scripts-are-executable
+++ a/scripts/atomic/check-atomics.sh
@@ -13,7 +13,7 @@ gen-atomic-long.sh              asm-gene
 gen-atomic-fallback.sh          linux/atomic-fallback.h
 EOF
 while read script header; do
-	if ! (${ATOMICDIR}/${script} ${ATOMICTBL} | diff - ${LINUXDIR}/include/${header} > /dev/null); then
+	if ! (/bin/sh ${ATOMICDIR}/${script} ${ATOMICTBL} | diff - ${LINUXDIR}/include/${header} > /dev/null); then
 		printf "warning: include/${header} is out-of-date.\n"
 	fi
 done
_

Patches currently in -mm which might be from akpm@xxxxxxxxxxxxxxxxxxxx are

mm-cleancache-fix-corruption-on-missed-inode-invalidation-fix.patch
arm-arch-arm-include-asm-pageh-needs-personalityh.patch
mm.patch
mm-slab-remove-unnecessary-unlikely-fix.patch
mm-slub-record-final-state-of-slub-action-in-deactivate_slab-fix.patch
mm-page_owner-clamp-read-count-to-page_size-fix.patch
mm-hotplug-optimize-clear_hwpoisoned_pages-fix.patch
mm-ksm-do-not-block-on-page-lock-when-searching-stable-tree-fix.patch
mm-memory_hotplug-print-reason-for-the-offlining-failure-fix.patch
mm-convert-totalram_pages-and-totalhigh_pages-variables-to-atomic-checkpatch-fixes.patch
memory_hotplug-free-pages-as-higher-order-fix.patch
fs-epoll-deal-with-wait_queue-only-once-fix.patch
exec-separate-mm_anonpages-and-rlimit_stack-accounting-checkpatch-fixes.patch
ipc-allow-boot-time-extension-of-ipcmni-from-32k-to-8m-checkpatch-fixes.patch
scripts-atomic-check-atomicssh-dont-assume-that-scripts-are-executable.patch
kernel-forkc-export-kernel_thread-to-modules.patch
slab-leaks3-default-y.patch




[Index of Archives]     [Kernel Archive]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]

  Powered by Linux